n = input()
a = []
max = 0
min = 0
for i in range(n)
    a[1]=int(input())
for i in range(n)
    if a [m] == 0:
        max = max[m]
    elif a[m] m == 0:
        max = max[m]
    eles:
        max = 0